# -*- coding: UTF-8 -*-

'''Тестовый клиент для REST сервиса (посылает запрос частями)'''

import httplib
import time

chunk1 = '''[{"command": "addInventItem", "invent": {"discAutoScheme": 0, "isInvent": true, "price": 130, "barcode": "11111110", "deptCode": 1, "inventcode": "00000000070", "taxGroupCode": 2, "isInventItem": true, "minPrice": 0, "extendedOptions": "extendedOptions", "rtext": "rtext 0", "name": "\u0422\u043e\u0432\u0430\u0440 0", "measureCode": "796"}},'''
chunk2 = '''{"command": "addInventItem", "invent": {"discAutoScheme": 1, "isInvent": true, "price": 150, "barcode": "11111120", "deptCode": 2, "inventcode": "00000000080", "taxGroupCode": 1, "isInventItem": true, "minPrice": 10, "extendedOptions": "extendedOptions2", "rtext": "rtext 2", "name": "\u0422\u043e\u0432\u0430\u0440 3", "measureCode": "797"}}]'''

if __name__ == "__main__":
    conn = httplib.HTTPConnection('localhost:28080')
    conn.connect()
    conn.putrequest('POST', '/aifexchange/loaddicts?abc=321&shopcode=_shop_1_94131ee9')
    conn.putheader('Transfer-Encoding', 'chunked')
    conn.putheader('Content-Type', 'application/json')
    conn.endheaders()

    conn.send("%s\r\n" % hex(len(chunk1))[2:])
    conn.send("%s\r\n" % chunk1)

    time.sleep(1)

    conn.send("%s\r\n" % hex(len(chunk2))[2:])
    conn.send("%s\r\n" % chunk2)

    time.sleep(1)

    conn.send("0\r\n")

    r = conn.getresponse()
    print r.status, r.reason, r.read()

