'''
Created on 28.04.2010

@author: gsu
'''

import datetime
import json


class Registry(object):
    def __init__(self, fileName):
        with open(fileName, 'r') as f:
            self.json = json.load(f, 'UTF-8')

    def shopcode(self):
        return self.json["shopCode"]
    
    def cashcode(self):
        return self.json["cashCode"]

    def shift(self):
        return self.json["shiftNumber"]

    def checknum(self):
        return self.json["checkNumber"]

    def shiftStart(self):
        if self.json["shiftBeg"] == "":
            return None
        return datetime.datetime.strptime(self.json["shiftBeg"], "%Y-%m-%dT%H:%M:%S")
